GET Forms?assetId={assetId}&formTypeId={formTypeId}&take={take}&skip={skip}&sort[0].Field={sort[0].Field}&sort[0].Dir={sort[0].Dir}&sort[1].Field={sort[1].Field}&sort[1].Dir={sort[1].Dir}&includeAttachmentContent={includeAttachmentContent}
Retrieves forms for the given parameters. All parameters are optional.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| assetId |
Id of the asset |
globally unique identifier |
None. |
| formTypeId |
Id of the form type |
globally unique identifier |
None. |
| take |
Number of forms to retrieve. Default is all forms |
integer |
None. |
| skip |
Number of forms to skip before retrieval |
integer |
Default value is 0 |
| sort |
List of sorting rules to describe how to sort the forms before retrieval |
Collection of Sort |
None. |
| Operator | string |
None. |
|
| Field | string |
None. |
|
| Value | string |
None. |
|
| Logic | string |
None. |
|
| Filters | Collection of Filter |
None. |
|
| includeAttachmentContent |
Include the file contents of the form field values if applicable |
boolean |
Default value is False |
Body Parameters
None.
Response Information
Resource Description
On success, a list of forms.
| Name | Description | Type | Additional information |
|---|---|---|---|
| Data | Collection of Form |
None. |
|
| Total | integer |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"Data": [
{
"FormId": "ac83c605-f279-4d61-9c7d-fee331bd17e3",
"Asset": {
"AssetId": "96b76459-0e30-4b43-ad92-02c6bbd0cf2f",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayOrder": 1,
"AssetType": {
"AssetTypeId": "9473045a-e41c-494e-8888-539c9c7364ec",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "64d55baf-d175-449d-9c1e-ac185b36fdd0",
"CreateDate": "2026-10-29T13:25:49.2905162-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-29T13:25:49.2905162-07:00",
"LastModifiedUser": "sample string 7"
},
"AssetGroup": {
"AssetGroupId": "cfa7c62d-219b-4af5-8246-a6ffa920994d",
"Name": "sample string 1",
"Description": "sample string 2",
"ParentGroup": null,
"DisplayOrder": 1,
"FormValueNeededDate": "2026-10-29T13:25:49.2905162-07:00",
"MeasurementValueNeededDate": "2026-10-29T13:25:49.2905162-07:00",
"SourceSystemId": "sample string 3",
"CompanyId": "ac36df1f-81c8-4fd8-ae33-a933ab64312c",
"CreateDate": "2026-10-29T13:25:49.2905162-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-29T13:25:49.2905162-07:00",
"LastModifiedUser": "sample string 6"
},
"ParentAsset": null,
"Location": "sample string 3",
"Barcode": {
"Format": 0,
"Code": "sample string 1"
},
"FormValueNeededDate": "2026-10-29T13:25:49.2905162-07:00",
"MeasurementValueNeededDate": "2026-10-29T13:25:49.2905162-07:00",
"HasChildren": true,
"SourceSystemId": "sample string 5",
"CompanyId": "a181a833-8401-4dc0-876e-0749020c0a0c",
"CreateDate": "2026-10-29T13:25:49.2905162-07:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-10-29T13:25:49.2905162-07:00",
"LastModifiedUser": "sample string 8"
},
"FormType": {
"FormTypeId": "7aeaaaf7-adef-4388-9ff7-71e8a65dc32a",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "9473045a-e41c-494e-8888-539c9c7364ec",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "64d55baf-d175-449d-9c1e-ac185b36fdd0",
"CreateDate": "2026-10-29T13:25:49.2905162-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-29T13:25:49.2905162-07:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-10-29T13:25:49.2905162-07:00",
"Active": true,
"Fields": [
{
"FormTypeFieldId": "62c28224-0f54-4661-9453-0dd26d6ef8a0",
"Section": {
"FormTypeSectionId": "2799e7ac-63ce-4a59-a1b3-d5e00c4c9229",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "d5ddbdf0-e71d-43cf-afcb-287a70796c41",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "7cf53f70-11ef-44f2-b9d7-c4a7bc165935",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "7a163530-88ec-493e-9a7c-0a66e3076588",
"CreateDate": "2026-10-29T13:25:49.2905162-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-29T13:25:49.2905162-07:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "96a955ea-2a26-4bfa-92d1-9db8713bbf19",
"FieldId": "d06c49e8-7513-49fc-ba48-777e19a08ed3",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "96a955ea-2a26-4bfa-92d1-9db8713bbf19",
"FieldId": "d06c49e8-7513-49fc-ba48-777e19a08ed3",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
{
"FormTypeFieldId": "62c28224-0f54-4661-9453-0dd26d6ef8a0",
"Section": {
"FormTypeSectionId": "2799e7ac-63ce-4a59-a1b3-d5e00c4c9229",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "d5ddbdf0-e71d-43cf-afcb-287a70796c41",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "7cf53f70-11ef-44f2-b9d7-c4a7bc165935",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "7a163530-88ec-493e-9a7c-0a66e3076588",
"CreateDate": "2026-10-29T13:25:49.2905162-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-29T13:25:49.2905162-07:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "96a955ea-2a26-4bfa-92d1-9db8713bbf19",
"FieldId": "d06c49e8-7513-49fc-ba48-777e19a08ed3",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "96a955ea-2a26-4bfa-92d1-9db8713bbf19",
"FieldId": "d06c49e8-7513-49fc-ba48-777e19a08ed3",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
}
],
"SourceSystemId": "sample string 4",
"CompanyId": "cd556267-b2ad-428b-9bad-8460189ca255",
"CreateDate": "2026-10-29T13:25:49.3061086-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-29T13:25:49.3061086-07:00",
"LastModifiedUser": "sample string 7"
},
"EffectiveDate": "2026-10-29T13:25:49.3061086-07:00",
"Location": "sample string 1",
"TaskId": "ad551068-2e2d-46ad-9c19-5f64ebe9ee89",
"Values": [
{
"FormFieldValueId": "19237e07-66f2-4e3f-a84e-5109035c5222",
"FormId": "b8646a29-68e9-44c5-9adb-04da7097adb5",
"FormTypeField": {
"FormTypeFieldId": "62c28224-0f54-4661-9453-0dd26d6ef8a0",
"FormType": {
"FormTypeId": "7aeaaaf7-adef-4388-9ff7-71e8a65dc32a",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "9473045a-e41c-494e-8888-539c9c7364ec",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "64d55baf-d175-449d-9c1e-ac185b36fdd0",
"CreateDate": "2026-10-29T13:25:49.2905162-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-29T13:25:49.2905162-07:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-10-29T13:25:49.2905162-07:00",
"Active": true,
"Fields": [],
"SourceSystemId": "sample string 4",
"CompanyId": "cd556267-b2ad-428b-9bad-8460189ca255",
"CreateDate": "2026-10-29T13:25:49.3061086-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-29T13:25:49.3061086-07:00",
"LastModifiedUser": "sample string 7"
},
"Section": {
"FormTypeSectionId": "2799e7ac-63ce-4a59-a1b3-d5e00c4c9229",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "d5ddbdf0-e71d-43cf-afcb-287a70796c41",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "7cf53f70-11ef-44f2-b9d7-c4a7bc165935",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "7a163530-88ec-493e-9a7c-0a66e3076588",
"CreateDate": "2026-10-29T13:25:49.2905162-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-29T13:25:49.2905162-07:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "96a955ea-2a26-4bfa-92d1-9db8713bbf19",
"FieldId": "d06c49e8-7513-49fc-ba48-777e19a08ed3",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "96a955ea-2a26-4bfa-92d1-9db8713bbf19",
"FieldId": "d06c49e8-7513-49fc-ba48-777e19a08ed3",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
"SectionIndex": 1,
"FieldIndex": 1,
"FileName": "sample string 1",
"FileType": "sample string 2",
"FileSize": 1,
"FileContent": "QEA=",
"ValueText": "sample string 3",
"IsValid": true,
"IsValidMessage": "sample string 5",
"SourceSystemId": "sample string 6"
},
{
"FormFieldValueId": "19237e07-66f2-4e3f-a84e-5109035c5222",
"FormId": "b8646a29-68e9-44c5-9adb-04da7097adb5",
"FormTypeField": {
"FormTypeFieldId": "62c28224-0f54-4661-9453-0dd26d6ef8a0",
"FormType": {
"FormTypeId": "7aeaaaf7-adef-4388-9ff7-71e8a65dc32a",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "9473045a-e41c-494e-8888-539c9c7364ec",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "64d55baf-d175-449d-9c1e-ac185b36fdd0",
"CreateDate": "2026-10-29T13:25:49.2905162-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-29T13:25:49.2905162-07:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-10-29T13:25:49.2905162-07:00",
"Active": true,
"Fields": [],
"SourceSystemId": "sample string 4",
"CompanyId": "cd556267-b2ad-428b-9bad-8460189ca255",
"CreateDate": "2026-10-29T13:25:49.3061086-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-29T13:25:49.3061086-07:00",
"LastModifiedUser": "sample string 7"
},
"Section": {
"FormTypeSectionId": "2799e7ac-63ce-4a59-a1b3-d5e00c4c9229",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "d5ddbdf0-e71d-43cf-afcb-287a70796c41",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "7cf53f70-11ef-44f2-b9d7-c4a7bc165935",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "7a163530-88ec-493e-9a7c-0a66e3076588",
"CreateDate": "2026-10-29T13:25:49.2905162-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-29T13:25:49.2905162-07:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "96a955ea-2a26-4bfa-92d1-9db8713bbf19",
"FieldId": "d06c49e8-7513-49fc-ba48-777e19a08ed3",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "96a955ea-2a26-4bfa-92d1-9db8713bbf19",
"FieldId": "d06c49e8-7513-49fc-ba48-777e19a08ed3",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
"SectionIndex": 1,
"FieldIndex": 1,
"FileName": "sample string 1",
"FileType": "sample string 2",
"FileSize": 1,
"FileContent": "QEA=",
"ValueText": "sample string 3",
"IsValid": true,
"IsValidMessage": "sample string 5",
"SourceSystemId": "sample string 6"
}
],
"SourceSystemId": "sample string 2",
"CompanyId": "80c592d9-0884-408e-8b8d-80cdaa2f8274",
"CreateDate": "2026-10-29T13:25:49.3061086-07:00",
"CreateUser": "sample string 4",
"LastModifiedDate": "2026-10-29T13:25:49.3061086-07:00",
"LastModifiedUser": "sample string 5"
},
{
"FormId": "ac83c605-f279-4d61-9c7d-fee331bd17e3",
"Asset": {
"AssetId": "96b76459-0e30-4b43-ad92-02c6bbd0cf2f",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayOrder": 1,
"AssetType": {
"AssetTypeId": "9473045a-e41c-494e-8888-539c9c7364ec",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "64d55baf-d175-449d-9c1e-ac185b36fdd0",
"CreateDate": "2026-10-29T13:25:49.2905162-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-29T13:25:49.2905162-07:00",
"LastModifiedUser": "sample string 7"
},
"AssetGroup": {
"AssetGroupId": "cfa7c62d-219b-4af5-8246-a6ffa920994d",
"Name": "sample string 1",
"Description": "sample string 2",
"ParentGroup": null,
"DisplayOrder": 1,
"FormValueNeededDate": "2026-10-29T13:25:49.2905162-07:00",
"MeasurementValueNeededDate": "2026-10-29T13:25:49.2905162-07:00",
"SourceSystemId": "sample string 3",
"CompanyId": "ac36df1f-81c8-4fd8-ae33-a933ab64312c",
"CreateDate": "2026-10-29T13:25:49.2905162-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-29T13:25:49.2905162-07:00",
"LastModifiedUser": "sample string 6"
},
"ParentAsset": null,
"Location": "sample string 3",
"Barcode": {
"Format": 0,
"Code": "sample string 1"
},
"FormValueNeededDate": "2026-10-29T13:25:49.2905162-07:00",
"MeasurementValueNeededDate": "2026-10-29T13:25:49.2905162-07:00",
"HasChildren": true,
"SourceSystemId": "sample string 5",
"CompanyId": "a181a833-8401-4dc0-876e-0749020c0a0c",
"CreateDate": "2026-10-29T13:25:49.2905162-07:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-10-29T13:25:49.2905162-07:00",
"LastModifiedUser": "sample string 8"
},
"FormType": {
"FormTypeId": "7aeaaaf7-adef-4388-9ff7-71e8a65dc32a",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "9473045a-e41c-494e-8888-539c9c7364ec",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "64d55baf-d175-449d-9c1e-ac185b36fdd0",
"CreateDate": "2026-10-29T13:25:49.2905162-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-29T13:25:49.2905162-07:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-10-29T13:25:49.2905162-07:00",
"Active": true,
"Fields": [
{
"FormTypeFieldId": "62c28224-0f54-4661-9453-0dd26d6ef8a0",
"Section": {
"FormTypeSectionId": "2799e7ac-63ce-4a59-a1b3-d5e00c4c9229",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "d5ddbdf0-e71d-43cf-afcb-287a70796c41",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "7cf53f70-11ef-44f2-b9d7-c4a7bc165935",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "7a163530-88ec-493e-9a7c-0a66e3076588",
"CreateDate": "2026-10-29T13:25:49.2905162-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-29T13:25:49.2905162-07:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "96a955ea-2a26-4bfa-92d1-9db8713bbf19",
"FieldId": "d06c49e8-7513-49fc-ba48-777e19a08ed3",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "96a955ea-2a26-4bfa-92d1-9db8713bbf19",
"FieldId": "d06c49e8-7513-49fc-ba48-777e19a08ed3",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
{
"FormTypeFieldId": "62c28224-0f54-4661-9453-0dd26d6ef8a0",
"Section": {
"FormTypeSectionId": "2799e7ac-63ce-4a59-a1b3-d5e00c4c9229",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "d5ddbdf0-e71d-43cf-afcb-287a70796c41",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "7cf53f70-11ef-44f2-b9d7-c4a7bc165935",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "7a163530-88ec-493e-9a7c-0a66e3076588",
"CreateDate": "2026-10-29T13:25:49.2905162-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-29T13:25:49.2905162-07:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "96a955ea-2a26-4bfa-92d1-9db8713bbf19",
"FieldId": "d06c49e8-7513-49fc-ba48-777e19a08ed3",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "96a955ea-2a26-4bfa-92d1-9db8713bbf19",
"FieldId": "d06c49e8-7513-49fc-ba48-777e19a08ed3",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
}
],
"SourceSystemId": "sample string 4",
"CompanyId": "cd556267-b2ad-428b-9bad-8460189ca255",
"CreateDate": "2026-10-29T13:25:49.3061086-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-29T13:25:49.3061086-07:00",
"LastModifiedUser": "sample string 7"
},
"EffectiveDate": "2026-10-29T13:25:49.3061086-07:00",
"Location": "sample string 1",
"TaskId": "ad551068-2e2d-46ad-9c19-5f64ebe9ee89",
"Values": [
{
"FormFieldValueId": "19237e07-66f2-4e3f-a84e-5109035c5222",
"FormId": "b8646a29-68e9-44c5-9adb-04da7097adb5",
"FormTypeField": {
"FormTypeFieldId": "62c28224-0f54-4661-9453-0dd26d6ef8a0",
"FormType": {
"FormTypeId": "7aeaaaf7-adef-4388-9ff7-71e8a65dc32a",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "9473045a-e41c-494e-8888-539c9c7364ec",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "64d55baf-d175-449d-9c1e-ac185b36fdd0",
"CreateDate": "2026-10-29T13:25:49.2905162-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-29T13:25:49.2905162-07:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-10-29T13:25:49.2905162-07:00",
"Active": true,
"Fields": [],
"SourceSystemId": "sample string 4",
"CompanyId": "cd556267-b2ad-428b-9bad-8460189ca255",
"CreateDate": "2026-10-29T13:25:49.3061086-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-29T13:25:49.3061086-07:00",
"LastModifiedUser": "sample string 7"
},
"Section": {
"FormTypeSectionId": "2799e7ac-63ce-4a59-a1b3-d5e00c4c9229",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "d5ddbdf0-e71d-43cf-afcb-287a70796c41",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "7cf53f70-11ef-44f2-b9d7-c4a7bc165935",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "7a163530-88ec-493e-9a7c-0a66e3076588",
"CreateDate": "2026-10-29T13:25:49.2905162-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-29T13:25:49.2905162-07:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "96a955ea-2a26-4bfa-92d1-9db8713bbf19",
"FieldId": "d06c49e8-7513-49fc-ba48-777e19a08ed3",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "96a955ea-2a26-4bfa-92d1-9db8713bbf19",
"FieldId": "d06c49e8-7513-49fc-ba48-777e19a08ed3",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
"SectionIndex": 1,
"FieldIndex": 1,
"FileName": "sample string 1",
"FileType": "sample string 2",
"FileSize": 1,
"FileContent": "QEA=",
"ValueText": "sample string 3",
"IsValid": true,
"IsValidMessage": "sample string 5",
"SourceSystemId": "sample string 6"
},
{
"FormFieldValueId": "19237e07-66f2-4e3f-a84e-5109035c5222",
"FormId": "b8646a29-68e9-44c5-9adb-04da7097adb5",
"FormTypeField": {
"FormTypeFieldId": "62c28224-0f54-4661-9453-0dd26d6ef8a0",
"FormType": {
"FormTypeId": "7aeaaaf7-adef-4388-9ff7-71e8a65dc32a",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "9473045a-e41c-494e-8888-539c9c7364ec",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "64d55baf-d175-449d-9c1e-ac185b36fdd0",
"CreateDate": "2026-10-29T13:25:49.2905162-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-29T13:25:49.2905162-07:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-10-29T13:25:49.2905162-07:00",
"Active": true,
"Fields": [],
"SourceSystemId": "sample string 4",
"CompanyId": "cd556267-b2ad-428b-9bad-8460189ca255",
"CreateDate": "2026-10-29T13:25:49.3061086-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-29T13:25:49.3061086-07:00",
"LastModifiedUser": "sample string 7"
},
"Section": {
"FormTypeSectionId": "2799e7ac-63ce-4a59-a1b3-d5e00c4c9229",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "d5ddbdf0-e71d-43cf-afcb-287a70796c41",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "7cf53f70-11ef-44f2-b9d7-c4a7bc165935",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "7a163530-88ec-493e-9a7c-0a66e3076588",
"CreateDate": "2026-10-29T13:25:49.2905162-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-29T13:25:49.2905162-07:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "96a955ea-2a26-4bfa-92d1-9db8713bbf19",
"FieldId": "d06c49e8-7513-49fc-ba48-777e19a08ed3",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "96a955ea-2a26-4bfa-92d1-9db8713bbf19",
"FieldId": "d06c49e8-7513-49fc-ba48-777e19a08ed3",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
"SectionIndex": 1,
"FieldIndex": 1,
"FileName": "sample string 1",
"FileType": "sample string 2",
"FileSize": 1,
"FileContent": "QEA=",
"ValueText": "sample string 3",
"IsValid": true,
"IsValidMessage": "sample string 5",
"SourceSystemId": "sample string 6"
}
],
"SourceSystemId": "sample string 2",
"CompanyId": "80c592d9-0884-408e-8b8d-80cdaa2f8274",
"CreateDate": "2026-10-29T13:25:49.3061086-07:00",
"CreateUser": "sample string 4",
"LastModifiedDate": "2026-10-29T13:25:49.3061086-07:00",
"LastModifiedUser": "sample string 5"
}
],
"Total": 1,
"Message": "sample string 1"
}